<?php
// $Id: node.tpl.php,v 1.5 2007/10/11 09:51:29 goba Exp $
?>

<?php 
	//get contest workflow status and its set date
	$result = db_query("SELECT workflow_node.stamp, workflow_states.state  FROM workflow_node JOIN workflow_states ON workflow_node.sid = workflow_states.sid where nid=%d",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $state = $data->state;
	   $state_date = $data->stamp; //date("m/d/Y", $data->stamp);
	   //$role_rid=$data->rid;
	} else unset($state);
		
	//$state=workflow_get_state($node->_workflow);

	//get contest idea count
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, contests.title, COUNT(node.nid) AS IDEA_NUM FROM node JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) JOIN node AS contests ON (contests.nid = content_type_idea.field_idea_contest_nid)  WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid='%d' AND node.status=1 GROUP BY content_type_idea.field_idea_contest_nid ORDER BY IDEA_NUM DESC",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $idea_count = $data->IDEA_NUM;
	   //$role_rid=$data->rid;
	} else $idea_count = 0;
	
	//get contest comment count	
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, node.nid, COUNT(comments.cid) AS COM_NUM  FROM node LEFT JOIN comments ON (node.nid=comments.nid AND comments.status = 0) JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid ='%d' AND node.status=1  GROUP BY content_type_idea.field_idea_contest_nid",$node->nid);
	if ($data = db_fetch_object($result)) {
	   //print('<a href="'.url('taxonomy/term/'.$data->tid).'">'.$data->name.'</a>');
	   $comment_count = $data->COM_NUM;
	   //$role_rid=$data->rid;
	} else $comment_count = 0;
	
	//get last posted idea information
	$result = db_query("SELECT content_type_idea.field_idea_contest_nid, node.title, node.nid, node.created FROM node JOIN content_type_idea ON (node.nid = content_type_idea.nid AND content_type_idea.field_idea_contest_nid IS NOT NULL) JOIN node AS contests ON (contests.nid = content_type_idea.field_idea_contest_nid) WHERE node.type = 'idea' AND content_type_idea.field_idea_contest_nid='%d' AND node.status=1 ORDER BY node.created DESC",$node->nid);
	if ($data = db_fetch_object($result)) {
	   $related_idea_title = $data->title;
	   $related_idea_nid = $data->nid;
	   $related_idea_date = $data->created;
	} else unset($related_idea_nid);
	
	//put formatted contest status name into a variable
	$contest_status_name = str_replace(' ', '_', strtolower($state));
	
	//theme dir path (for paths to images)
	global $base_url;
	$theme_dir = $base_url . '/' . drupal_get_path('theme', 'IdeaStream_rainbow');
?>


<table width="100%" class="all_contest_snippet_table idea_contest_status_graphic_text_default idea_contest_status_graphic_text_<?php print $contest_status_name; ?> idea_contest_status_bg_color_default idea_contest_status_bg_color_<?php print $contest_status_name; ?> idea_contest_status_frame_color_default idea_contest_status_frame_color_<?php print $contest_status_name; ?>">
<tr>
	<td colspan="2">
	<div class="contest_graphic_text idea_contest_text_bg_status_color_default idea_contest_text_bg_status_color_<?php print $contest_status_name; ?> idea_contest_status_frame_color_default idea_contest_status_frame_color_<?php print $contest_status_name; ?>"><?php print t('Idea Contest'); ?></div>
	<div class="contest_graphic idea_contest_status_graphic_default contest_graphic idea_contest_status_graphic_<?php print $contest_status_name; ?>"></div>
	<div class="contest_idea_count idea_contest_status_color_default idea_contest_status_color_<?php print $contest_status_name; ?>"><?php print $idea_count; ?> <?php print t('ideas'); ?></div>
	</td>
</tr>
<tr>
	<td colspan="2"><div class="contest_comment_count"><?php print $comment_count; ?> <?php print t('comments'); ?></div></td>
</tr>
<tr>
	<td class="contest_title" colspan="2">
		<a href="<?php print $node_url ?>" title="<?php print $title ?>"><?php print $title ?></a><?php if (!$status) { print ' <span class="idea_contest_title_unpublished">'.t('(Unpublished)').'</span>'; } ?>
	</td>
</tr>
<tr>
	<td class="contest_content" colspan="2">
		<?php $content= $node->content[body]['#value']; print($content); ?>
		<?php $content= $node->content['image_attach']['#value']; print($content); //support for Image module ?>
		<?php print ($node->content["my_gallery_field"]['#value']); // support for gallery assist module ?>
		<div class="contest_content_separator"></div>
	</td>
</tr>
<tr>
	<td class="contest_last_idea">
	<?php if (isset($related_idea_nid)): ?>
	Last Idea on <span class="last_idea_date"><?php print(format_date($related_idea_date, 'custom', 'm/d/Y - H:i')); ?></span>: <span class="idea_contest_status_color_default idea_contest_status_color_<?php print $contest_status_name; ?>"><?php print "<a href='".url('node/'.$related_idea_nid)."'>"; print substr($related_idea_title,0, 30); if (strlen($related_idea_title)>30) print '…'; print "</a>"; ?></span>
	<?php else: ?>
	<?php print t('Last Idea:'); ?> <span class="last_idea_date"><?php print("n/a"); ?></span>	
	<?php endif; ?>
	<!--
	| <div class="contest_share_data">Share on: <a href="http://facebook.com/"><img src="themes/ideastream/img/share_icons/facebook-11x11.png"/></a> <a href="http://www.twitter.com/"><img src="themes/ideastream/img/share_icons/twitter-11x11.png"/></a> </div> -->
	<?php if (module_exists('rdfme')): ?>
	| <div class="contest_export_data"> <?php print t('Get Data:'); ?> <a href="<?php print(url('node/'.$node->nid).'/tordf'); ?>"><img class="all_idea_list_idea_rdf_icon" src="<?php print $theme_dir; ?>/buttons/rdf_icon_link_hover.png" width="11px" height="11px"/></a></div>
	<?php endif; ?>	
	</td>
	<td rowspan="2">
		  <?php if (isset($state) && ($state=="Active")): ?>
		  <?php if (module_exists('ideastream_clouds') && user_access('start ideaclouds session') && user_access('start ideaclouds contest session')) { ?>
		  <a href="<?php print ''.url("ideaclouds/start_new_contest_session/".$node->nid); ?>" class="submit_idea_button idea_contest_status_submit_idea_button_default idea_contest_status_submit_idea_button_ideaclouds" target="_blank"><?php print t('Start Session'); ?><br/> <span class="idea_contest_status_submit_idea_button_subtitle_text"><?php print t('IdeaClouds'); ?></span></a>
		  <?php } ?>
		  <a href="<?php print ''.url("node/add/idea/".$node->nid); ?>" class="submit_idea_button idea_contest_status_submit_idea_button_default idea_contest_status_submit_idea_button_<?php print $contest_status_name; ?>"><?php print t('Submit Idea'); ?><br/> <span class="idea_contest_status_submit_idea_button_subtitle_text"><?php print t('Contest: Active'); ?></a>
		  <?php else: ?>
		  <?php if ($contest_status_name == 'pending_reviews') { ?>
		  	<div class="contest_button idea_contest_status_submit_idea_button_default idea_contest_status_submit_idea_button_<?php print $contest_status_name; ?>"><?php print t('Processing...'); ?><br/> <span class="idea_contest_status_submit_idea_button_subtitle_text"><?php print t('Pending Reviews'); ?>
		  </div>
		  <?php } ?>
		  <?php if ($contest_status_name == 'closed') { ?>
		  	<div class="contest_button idea_contest_status_submit_idea_button_default idea_contest_status_submit_idea_button_<?php print $contest_status_name; ?>"><?php print t('Finished'); ?><br/> <span class="idea_contest_status_submit_idea_button_subtitle_text"><?php print t('Contest: Closed'); ?>
		  </div>
		  <?php } ?>
		  <?php endif; ?>
	</td>
</tr>
<tr>
	<td class="contest_author"><?php print t('Contest posted by'); ?> <span class="idea_contest_status_color_default idea_contest_status_color_<?php print $contest_status_name; ?>"><?php print "<a href='".url('user/'.$node->uid)."'>".$node->name."</a>"; ?></span> on <span class="contest_author_date"><?php print(format_date($node->created, 'custom', 'm/d/Y')) ?></span>
		<?php if (isset($state) && ($state=="Closed") || ($state=="Pending Reviews")): ?>
				, <?php print t('closed On:'); ?> <span class="contest_author_date"><?php print(format_date($state_date, 'custom', 'm/d/Y')) ?></span>
		<?php endif; ?>	
	</td>
</tr>
</table>

<?php 
	//$myArgs = array('214','58');
	print views_embed_view('all_ideas_frontpage','page_1',"all",$node->nid);
?>

	<script type="text/javascript">
	<!-- hide from non JavaScript Browsers 
	
	/* preload images */	
	Image1= new Image(144,39);
	Image1.src = "<?php print $theme_dir; ?>/img/contest_buttons/full_theme_contests_hover.png";
	
	// End Hiding -->
	</script>