<?php
// $Id: page.tpl.php,v 1.18.2.1 2009/04/30 00:13:31 goba Exp $
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
  <head>
    <?php print $head ?>
    <title><?php print $head_title ?></title>
    <?php print $styles ?>
    <?php print $scripts ?>
    <?php print '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/status_colors.css" />'; ?>
    <?php print '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/contest_status_colors.css" />'; ?>
    <?php print '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/review_status_colors.css" />'; ?>
    <?php print '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/block_styles.css" />'; ?>
    <?php print '<link type="text/css" rel="stylesheet" media="all" href="'. base_path() . path_to_theme() .'/content_types_colors.css" />'; ?>
    
    <?php print '<script type="text/javascript" src="'. base_path() . path_to_theme() .'/js/ideastream.js"></script>'; ?>
    <!--[if IE]>
      <?php print phptemplate_get_ie_styles(); ?>
    <![endif]-->
    
    <!--[if IE 7]>
      <?php print phptemplate_get_ie7_styles(); ?>
    <![endif]-->
    
	<script type="text/javascript">
	<!-- hide from non JavaScript Browsers 
	
	/* preload images */		
	Image2= new Image(131,30);
	Image2.src = "<?php print base_path() . path_to_theme(); ?>/img/my_content/my_contests_button_template_hover.png";
	
	Image3= new Image(116,30);
	Image3.src = "<?php print base_path() . path_to_theme(); ?>/img/my_content/my_ideas_button_template_hover.png";
	
	Image4= new Image(128,30);
	Image4.src = "<?php print base_path() . path_to_theme(); ?>/img/my_content/my_reviews_button_template_hover.png";
	
	// End Hiding -->
	</script>
  </head>
  <body<?php print phptemplate_body_class($left, $right); ?>>
<!-- Layout -->
  <div class="squeeze_container">
  
	  <div id="header-region" class="clear-block"><?php print $header; ?></div>
	    <div id="content-slider">
	      	<?php /* print $top_right */ ?>
	      	<span id="search_box"><?php print $content_top ?></span>
	      	<?php
	      	/*
	      		if  ($user->uid) {
	      			print "<div id='logged-user-panel'>";
	      			//display "My Ideas" , "My Reviews" , "My Contests" depending on user access privilages
	
	      			if (user_access('create contest content',$user)) 
	      				print " <a href='".url('user/'.$user->uid.'/contests')."'>[My Contests]</a>";
	      			else if (user_access('create review content',$user))
	      				print " <a href='".url('user/'.$user->uid.'/reviews')."'>[My Reviews]</a>";
	      			else
	      				print " <a href='".url('user/'.$user->uid.'/ideas')."'>[My Ideas]</a>";
	      			print " <a href='".url('user/'.$user->uid)."'>[Settings]</a> <a href='".url('logout')."'>[Logout]</a></div>";
	      		} */
	      	
	      	?>
	
	    </div> 
	  
	  	<div class="logo_area">
	        <?php
	        	print '<a href="'. check_url($front_page) .'" title="'. $site_title .'">';
	  			print '<img src="'. check_url($logo) .'" alt="'. $site_title .'" id="logo" style="width: 136px; height: 50px; float=left;" />';
	  			print '</a>';
	        ?>
	  	</div>
  </div>
  <!--
    <div id="squeeze_logo" style="margin-left: 0px; margin-right: 0px; border-bottom: #CCCCCC; border-bottom-style: solid; border-bottom-width: 3px;">
    <div id="logo_center">
    	<div id="logo_indent">
    		<table style="border-collapse: separate;">
        <?php
          // Prepare header
            print '<tr><td style="padding-bottom: 25px; width: 206px;"><a href="'. check_url($front_page) .'" title="'. $site_title .'">';
            print '<img src="'. check_url($logo) .'" alt="'. $site_title .'" id="logo" />';
            print $site_html .'</a></td><td style="text-align:center">';
            print '<img src="'. 'http://'.$_SERVER['HTTP_HOST'].base_path() . $GLOBALS['theme_path'] .'/gi2mo_ideastream_slogan.gif" alt="'. $site_title .'" id="slogan" />';
            print '</td>';
        ?>
        	</table>
        </div>
    </div>
    </div> -->
    
    <div class="title_bar_area">
	    <div class="squeeze_container">
	      <div id="text-area">
		      <div id="title-text"></div>
		      <div id="slogan-text"></div>
	      </div>

		  	<?php if (user_is_logged_in()): ?>
		  		<?php if (user_access('create review content') || user_access('create contest content') || (module_exists('ideastream_clouds') && user_access('start ideaclouds session'))) { 
		  			//check if there user has permissions to add more than just idea (e.g. contest, review or start idea cloud)
		  		?>
		  	<div id="create-idea-extended">
			  	<div id="create_idea_dropdown_area">
			  		<div id="create_idea_dropdown_area_button">
						<div id="create_idea_dropdown_area_selected">
						  	<span id="create-idea-text"><?php print ''.l(t('Create Idea'),'node/add/idea'); ?></span>
						  	<span id="create-idea-register-text"><?php print ''.l(t('Account'),'user/'.$user->uid); ?></span>
						  	<span id="create-idea-text-separator">|</span>
						  	<span id="create-idea-login-text"><?php print ''.l(t('Logout'),'logout'); ?></span>
						</div>
						<div id="create_idea_dropdown_area_arrow"></div>
					</div>
					<div id="create_idea_dropdown_area_list">
						<?php if (user_access('create contest content')) { ?>
						<div class="create_idea_dropdown_area_list_item"><div class="create_idea_dropdown_list_item_icon" id="create_idea_dropdown_list_item_icon_contest"></div><?php print ''.l(t('New Idea Contest'),'node/add/contest', array('html' => true)); ?></div>
						<?php } ?>
						<?php if (user_access('create review content')) { ?>
						<div class="create_idea_dropdown_area_list_item"><div class="create_idea_dropdown_list_item_icon" id="create_idea_dropdown_list_item_icon_review"></div><?php print ''.l(t('New Idea Review'),'node/add/review', array('html' => true)); ?></div>
						<?php } ?>
						<?php if (module_exists('ideastream_clouds') && user_access('start ideaclouds session')) { ?>
						<div class="create_idea_dropdown_area_list_item"><div class="create_idea_dropdown_list_item_icon" id="create_idea_dropdown_list_item_icon_clouds"></div><?php print ''.l(t('New Idea Cloud'),'ideaclouds/start_new_session', array('html' => true,'attributes' => array('target' => '_blank'))); ?></div>
						<?php } ?>
					</div>
			  	</div>
		  	</div>
		  		<?php } else { ?>
			<div id="create-idea">
			  	<span id="create-idea-text"><?php print ''.l(t('Create Idea'),'node/add/idea'); ?></span>
			  	<span id="create-idea-register-text"><?php print ''.l(t('Account'),'user/'.$user->uid); ?></span>
			  	<span id="create-idea-text-separator">|</span>
			  	<span id="create-idea-login-text"><?php print ''.l(t('Logout'),'logout'); ?></span>
		  	</div>
		  	<?php } ?>
		  	<?php else: 
	      		//fetch nid for login page
	      		
	      		$states=null;
	      		if (module_exists('ideastream')) {
	      		$result = db_query("SELECT workflow_states.sid, workflow_states.state FROM {workflow_states} JOIN {workflows} ON workflow_states.wid=workflows.wid WHERE workflows.name='Idea Status' AND workflow_states.status=1");
				while ($data = db_fetch_object($result)) {
				   $states[$data->state]= $data->sid;
				}
				}
	
		  	?>
		  	<div id="create-idea">
			  	<span id="create-idea-text"><?php print ''.l(t('Create Idea'),'node/add/idea'); ?></span>
			  	<span id="create-idea-register-text"><?php print ''.l(t('Register'),'user/register'); ?></span>
			  	<span id="create-idea-text-separator">|</span>
			  	<span id="create-idea-login-text"><?php print ''.l(t('Login'),'user'); ?></span>
		  	</div>
		  	<?php endif; ?>	  	
	      		  
	 	</div>
    </div>
    <div id="wrapper">
    
      <?php 
      		//fetch state ids for creating links
      		$states=null;
      		$states_contest=null;
      		$selected_state= array();
      		if (module_exists('ideastream')) {
      		$result = db_query("SELECT workflow_states.sid, workflow_states.state, workflows.name FROM {workflow_states} JOIN {workflows} ON workflow_states.wid=workflows.wid WHERE (workflow_states.status=1 AND workflows.name='Idea Status') OR (workflow_states.status=1 AND workflows.name='Idea Contest Status')");
			while ($data = db_fetch_object($result)) {
			   if ($data->name == 'Idea Status') 
			   {
			   	if ($data->state!='(creation)') //do not include the creation state
			   	{
				   	$states[$data->sid]= $data->state;
				   	$selected_state[$data->sid] = 0;
			   	}
			   }
			   else
			   	if ($data->state!='(creation)') //do not include the creation state
			   	{
				   	$states_contest[$data->sid]= $data->state;
				   	$selected_state[$data->sid] = 0;
			   	}
			}
			//check for review types id
      		$result = db_query("SELECT term_data.tid, term_data.name FROM term_data JOIN vocabulary ON term_data.vid = vocabulary.vid WHERE vocabulary.name = 'Review Types'");
			while ($data = db_fetch_object($result)) {
			   	$review_types[$data->tid]= $data->name;
			   	$selected_review_type[$data->tid] = 0;
			}
			
			//check custom idea taxonomy ids (if enabled)
			$custom_taxonomy_enabled = FALSE;
			$vocabs = taxonomy_get_vocabularies('idea');
			$custom_vocab_vid = variable_get('ideastream_custom_vocab_vid', -1); //get custom vocabulary vid (default -1 means there is no custom vocal set)
			
			if ($custom_vocab_vid>-1 && user_access('view custom idea taxonomy')) //if there is custom vocabulary filter set and user has access to filter by custom taxonomy type, display custom taxonomy filtering apart of status filters
			{
				/*
				foreach ($vocabs as $vocab ) //get the first custom vocabulary (TODO replace this by setting in admin option which custom vocal should be displayed)
					if ($vocab->name!='Categories' && $vocab->name!='Tags' && $vocab->name!='Idea Classification')
						break; */
						
				$custom_vocab_terms = taxonomy_get_tree($custom_vocab_vid); //$vocab->vid
				//$custom_vocab_vid = $vocab->vid;
				$custom_vocabulary_info = taxonomy_vocabulary_load($custom_vocab_vid);
								
				if (isset($custom_vocab_terms) && sizeof($custom_vocab_terms) > 0) { //if the custom taxonomy has at least 1 term
					$custom_taxonomy_enabled = TRUE; //custom vocab detected
					$custom_taxonomy_name = $custom_vocabulary_info->name;
					$custom_vocab_tids = array();
					foreach($custom_vocab_terms as $custom_vocab_term)
					{
					   	$custom_vocab_types[$custom_vocab_term->tid]= $custom_vocab_term->name;
					   	$custom_vocab_tids[] = $custom_vocab_term->tid; //save all tids to later quickly see if a tid is part of custom vocabulary or not
					   	$selected_custom_vocab_type[$custom_vocab_term->tid] = 0;
					}
					
				}
			}
			
			}			
			//check which state is currently selected (via Views Arguments)
						
			$selected_state_sid = null; //workflow state for contest, idea or category
			$selected_type_tid = null; //review type (can be the same value as workflow sid so different variable needed)
			
			//type browse filter
			$selected_type['Ideas'] = 0;
			$selected_type['Contests'] = 0;
			$selected_type['Reviews'] = 0;
			$selected_type['Categories'] = 0;

			if (($idea = strrpos($variables['template_files'][1],'page-home-')) !== FALSE)
			{
				$selected_state_sid = substr($variables['template_files'][1],10);
				if (arg(3)=="Uncategorized"){ //check for uncategorized ideas term page (because it uses the home-all view theme)
						$selected_type['Categories']=-1;
						$selected_type['Ideas']=0;
				} else $selected_type['Ideas'] = 1;
				$selected_state[$selected_state_sid] = 1;
			} elseif (($idea = strrpos($variables['template_files'][1],'page-contests-')) !== FALSE)
			{
				$selected_type['Contests'] = 1;
				$selected_state_sid = substr($variables['template_files'][1],14);
				$selected_state[$selected_state_sid] = 1;
			} elseif (($idea = strrpos($variables['template_files'][1],'page-reviews-')) !== FALSE)
			{
				$selected_type['Reviews'] = 1;
				$selected_type_tid = substr($variables['template_files'][1],13);
				$selected_review_type[$selected_type_tid] = 1;
			} elseif (($idea = strrpos($variables['template_files'][1],'page-taxonomy-term')) !== FALSE)
			{
				$selected_type['Categories'] = arg(2);
				$selected_state_sid = arg(3);
				$selected_state[$selected_state_sid] = 1;
				//custom vocabulary support
				$selected_custom_vocab_type[$selected_type['Categories']] = 1;
			} elseif (($idea = strrpos($variables['template_files'][1],'page-front')) !== FALSE) //homepage - show by default all ideas
			{
				$selected_state_sid='all';
				$selected_type['Ideas'] = 1;
				$selected_state[$selected_state_sid] = 1;
			}
 	  ?>
    
    
 	<div id="filter_content_type_area">
 		<div class="squeeze_container">
	      <div id="filter_ideas_header"><a id="all-ideas-<?php print $selected_type['Ideas']; ?>" href="<?php print url('home'); ?>"><div class="ideas_filter_button filter_button"></div><div class="ideas_filter_button_text filter_button content_type_status_frame_color_default content_type_status_frame_color_idea content_type_text_bg_status_color_default content_type_text_bg_status_color_idea"><?php print t('Ideas'); ?></div></a> <a id="all-ideas-<?php print $selected_type['Contests']; ?>" href="<?php print url('contests/all'); ?>"><div class="contests_filter_button filter_button"></div><div class="contests_filter_button_text filter_button content_type_status_frame_color_default content_type_status_frame_color_contest content_type_text_bg_status_color_default content_type_text_bg_status_color_contest"><?php print t('Idea Contests'); ?></div></a> <?php if(user_access('create review content')): ?> <a id="all-ideas-<?php print $selected_type['Reviews']; ?>" href="<?php print url('reviews/all/all'); ?>"><div class="reviews_filter_button filter_button"></div><div class="reviews_filter_button_text filter_button content_type_status_frame_color_default content_type_status_frame_color_review content_type_text_bg_status_color_default content_type_text_bg_status_color_review"><?php print t('Reviews'); ?></div></a><?php endif; ?>
	      </div>

		 <?php	      
	      		if  ($user->uid) {
	      			print "<div id='personal_buttons'>";
	      			//display "My Ideas" , "My Reviews" , "My Contests" depending on user access privileges
	
	      			if (user_access('create contest content',$user)) {
//	      				print " <a href='".url('user/'.$user->uid.'/contests')."'><div class='my_contests_button'></div></a>";
		  				print "<a href=".url('user/'.$user->uid.'/contests'). "><div class='my_content_link my_contests_button'></div><div class='my_content_link my_contests_button_text my_content_frame_color my_content_text_bg_color'>".t('My Contests')."</div></a>";
	      			}
	      			else if (user_access('create review content',$user))
	      				//print " <a href='".url('user/'.$user->uid.'/reviews')."'><div class='my_reviews_button'></div></a>";
	      				print "<a href=".url('user/'.$user->uid.'/reviews'). " class='my_reviews_button'>".t('My Reviews')."</a>";
	      			else
	      				//print " <a href='".url('user/'.$user->uid.'/ideas')."'><div class='my_ideas_button'></div></a>";
	      				print "<a href=".url('user/'.$user->uid.'/ideas'). " class='my_ideas_button'>".t('My Ideas')."</a>";
	      			print "</div>";
	      		}
	      ?>
	      
	    </div>
	</div>

   	<div id="filter_status_area">
   		<div class="squeeze_container">
	  		<?php
	  			if ($selected_type['Contests']==1) { 
	  				/* Idea Contests Status Filter */
	  				print "<div class='filter_contest_types_header'><span class='filter_ideas_header_title'>".t('Filter Status:')."</span> ";
		  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('contests/all')."'>";
					print "<div class='idea_status_color_default status_box_frame'></div>";
					print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
					print "</a>";
					if (isset($states))
		  			foreach ($states_contest as $state_sid => $state_name) {
						//select class stylesheet based on state name
						//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
						//if state is not detected then idea_status_color default is used
						$state_class= str_replace(' ', '_', strtolower($state_name));
						
						print "<div class='idea_contest_status_color_default idea_contest_status_color_$state_class status_text'>";
						print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text idea_contest_status_color_$state_class' href='".url('contests/'.$state_sid)."'>";
						print "<div class='idea_contest_status_color_default status_box_frame idea_contest_status_box_color_$state_class'></div>";
						print "<div class='idea_contest_status_color_default idea_contest_status_color_$state_class status_text'>".strtoupper($state_name)."</div>";
						print "</a>";
						print "</div>";
		  			}
		  			print "</div>";
	  			} elseif ($selected_type['Categories']>0) {
	  				/* Idea Categories, Idea Tags or Custom Taxonomy Status Filter and Term Fitler */
	  				if ($custom_taxonomy_enabled) //if there is a custom vocabulary enabled
	  				{	
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 23;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses'><span class='filter_ideas_header_title'>".t('Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('taxonomy/term/'.$selected_type['Categories'].'/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			if (!isset($selected_state_sid)) $selected_state_printed= TRUE;
			  			
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$selected_type['Categories'].'/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";

								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name));
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$selected_type['Categories'].'/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";

	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 28;
	  					
	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
	  					$cumulated_term_text_length += strlen($custom_taxonomy_name);
		  				print "<div class='filter_ideas_custom_taxonomy'><span class='filter_ideas_header_title'>".$custom_taxonomy_name.":</span> ";
			  			print "<a id='all-ideas-0' href='".url('home/'.$selected_state_sid)."'>"; //in ideas filter bar all custom categories are always displayed
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length += 3;
			  			$dropdown_open = FALSE;
			  			
			  			if (!in_array($selected_type['Categories'], $custom_vocab_tids)) $selected_state_printed = TRUE; //if a different taxonomy is being shown don't mark the selected filter at all
						foreach ($custom_vocab_types as $custom_vocab_type_tid => $custom_vocab_type_name)	
						{
							$cumulated_term_text_length += strlen($state_name);
							if ($dropdown_open == FALSE) 
							{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_custom_taxonomy_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_custom_taxonomy_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
								
								if ($selected_custom_vocab_type[$custom_vocab_type_tid]==1) $selected_state_printed = TRUE;
							} else
							{ //dropdown content
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							}
						}
						if ($dropdown_open) print "</div></div>";
//	  					taxonomy_get_tree();
						print "</div>";
						
						print "</div>";
	  				} else //if no custom vocabulary or user has no access to see it display regular status filter bar
	  				{
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 85;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses filter_ideas_statuses_full'><span class='filter_ideas_header_title'>".t('Filter Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('taxonomy/term/'.$selected_type['Categories'].'/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			if (!isset($selected_state_sid)) $selected_state_printed= TRUE;
			  			
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$selected_type['Categories'].'/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$selected_type['Categories'].'/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  			
			  			print "</div>";
		  			}	
	  			} elseif ($selected_type['Categories']==-1) {
	  			/* Uncateogorised Status Filter */
	  			
	  				if ($custom_taxonomy_enabled) //if there is a custom vocabulary enabled
	  				{	
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 23;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses'><span class='filter_ideas_header_title'>".t('Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all/all/Uncategorized')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";

			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			if (!isset($selected_state_sid)) $selected_state_printed= TRUE;
			  			
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid."/all/Uncategorized")."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";

								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid."/all/Uncategorized")."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  								   
						//custom taxonomy display
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 28;
	  					
	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
	  					$cumulated_term_text_length += strlen($custom_taxonomy_name);
		  				print "<div class='filter_ideas_custom_taxonomy'><span class='filter_ideas_header_title'>".$custom_taxonomy_name.":</span> ";
			  			print "<a id='all-ideas-0' href='".url('home/'.$selected_state_sid)."'>"; //in ideas filter bar all custom categories are always displayed
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length += 3;
			  			$dropdown_open = FALSE;
			  			
			  			if (!in_array($selected_type['Categories'], $custom_vocab_tids)) $selected_state_printed = TRUE; //if a different taxonomy is being shown don't mark the selected filter at all
						foreach ($custom_vocab_types as $custom_vocab_type_tid => $custom_vocab_type_name)	
						{
							$cumulated_term_text_length += strlen($state_name);
							if ($dropdown_open == FALSE) 
							{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_custom_taxonomy_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_custom_taxonomy_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
				  				
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_custom_vocab_type[$custom_vocab_type_tid]==1) $selected_state_printed = TRUE;
							} else
							{ //dropdown content
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							}
						}
						if ($dropdown_open) print "</div></div>";
//	  					taxonomy_get_tree();
						print "</div>";
						
						print "</div>";
	  				} else //if no custom vocabulary or user has no access to see it display regular status filter bar
	  				{
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 85;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses filter_ideas_statuses_full'><span class='filter_ideas_header_title'>".t('Filter Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all/all/Uncategorized')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			if (!isset($selected_state_sid)) $selected_state_printed= TRUE;
			  			
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid."/all/Uncategorized")."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid."/all/Uncategorized")."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  			
			  			print "</div>";
		  			}
	  			} elseif ($selected_type['Reviews']==1) {
	  				/* Idea Reviews Type Filter */
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 90;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses filter_ideas_statuses_full'><span class='filter_ideas_header_title'>".t('Filter Review Type:')."</span> ";
			  			print "<a id='all-ideas-". $selected_review_type['all'] ."' href='".url('reviews/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";

			  			$cumulated_term_text_length = 3;
			  			if ($selected_review_type['all']==1) $selected_state_printed= TRUE;
			  			$dropdown_open = FALSE;
						if (isset($review_types))
			  			foreach ($review_types as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>"; 
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else 
				  						{ //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				} else
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= str_replace(' ', '_', strtolower($state_name));
								
								print "<div class='idea_review_status_color_default idea_review_status_color_$state_class status_text'>";
								print "<a id='all-ideas-". $selected_review_type[$state_sid] ."' class='status_text idea_review_status_color_$state_class' href='".url('reviews/'.$state_sid)."'>";
								print "<div class='idea_review_status_bg_title_color_default status_box_frame idea_review_status_bg_title_color_$state_class'></div>";
								print "<div class='idea_review_status_color_default idea_review_status_color_$state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= str_replace(' ', '_', strtolower($state_name));
								
								print "<div class='idea_review_status_color_default idea_review_status_color_$state_class status_text'>";
								print "<a id='all-ideas-". $selected_review_type[$state_sid] ."' class='status_text idea_review_status_color_$state_class' href='".url('reviews/'.$state_sid)."'>";
								print "<div class='idea_review_status_bg_title_color_default status_box_frame idea_review_status_bg_title_color_$state_class'></div>";
								print "<div class='idea_review_status_color_default idea_review_status_color_$state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  			
			  			print "</div>";
	  			} elseif ($selected_type['Ideas']==1) {
	  			/* Idea Status Filter */
	  			
	  				if ($custom_taxonomy_enabled) //if there is a custom vocabulary enabled
	  				{
	  					//idea status filter list
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 23;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses'><span class='filter_ideas_header_title'>".t('Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) { 
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) { 
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else { //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";

						//idea custom taxonomy filter list
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 28;
	  					$cumulated_term_text_length += strlen($custom_taxonomy_name);
		  				print "<div class='filter_ideas_custom_taxonomy'><span class='filter_ideas_header_title'>".$custom_taxonomy_name.":</span> ";
			  			print "<a id='all-ideas-1' href='".url('home/'.$selected_state_sid)."'>"; //in ideas filter bar all custom categories are always displayed
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length += 3;
			  			$dropdown_open = FALSE;
						foreach ($custom_vocab_types as $custom_vocab_type_tid => $custom_vocab_type_name)	
						{
							$cumulated_term_text_length += strlen($state_name);
							if ($dropdown_open == FALSE) 
							{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_custom_taxonomy_dropdown_more_area'>";
										print "<div class='idea_status_color_default status_text'>"; //unselected more button
										print "<div class='idea_status_color_default status_box_frame'></div>";
										print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
			  							print "</div>";
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_custom_taxonomy_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							} else
							{ //dropdown content
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							}
						}
						if ($dropdown_open) print "</div></div>";
//	  					taxonomy_get_tree();
						print "</div>";
						
						print "</div>";
	  				} else //if no custom vocabulary or user has no access to see it display regular status filter bar
	  				{
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
 	  					$max_cumulated_length = 85;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses filter_ideas_statuses_full'><span class='filter_ideas_header_title'>".t('Filter Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
				  						if ($selected_state_printed) { //unselected more button
											print "<div class='idea_status_color_default status_text'>"; 
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						else 
				  						{ //selected more button
											print "<div class='idea_status_color_default status_text'>";
											print "<div class='idea_status_color_default status_box_frame'></div>";
											print "<div id='all-ideas-1' class='idea_status_color_default status_text'>".t('MORE')."</div>";
				  							print "</div>";
				  						}
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  			
			  			print "</div>";
		  			}
	  			} else { //not detected any recognisable type
			
	  				if ($custom_taxonomy_enabled) //if there is a custom vocabulary enabled
	  				{
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 23;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer

						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses'><span class='filter_ideas_header_title'>".t('Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
										print "<div class='idea_status_color_default status_text'>"; //unselected more button
										print "<div class='idea_status_color_default status_box_frame'></div>";
										print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
			  							print "</div>";
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";

	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 28;
	  					$cumulated_term_text_length += strlen($custom_taxonomy_name);
		  				print "<div class='filter_ideas_custom_taxonomy'><span class='filter_ideas_header_title'>".$custom_taxonomy_name.":</span> ";
			  			print "<a id='all-ideas-0' href='".url('home/'.$selected_state_sid)."'>"; //in ideas filter bar all custom categories are always displayed
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";

			  			$cumulated_term_text_length += 3;
			  			$dropdown_open = FALSE;
						foreach ($custom_vocab_types as $custom_vocab_type_tid => $custom_vocab_type_name)	
						{
							$cumulated_term_text_length += strlen($state_name);
							if ($dropdown_open == FALSE) 
							{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_custom_taxonomy_dropdown_more_area'>";
										print "<div class='idea_status_color_default status_text'>"; //unselected more button
										print "<div class='idea_status_color_default status_box_frame'></div>";
										print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
			  							print "</div>";
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_custom_taxonomy_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
				  				
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							} else
							{ //dropdown content
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_custom_vocab_type[$custom_vocab_type_tid] ."' class='status_text $state_class' href='".url('taxonomy/term/'.$custom_vocab_type_tid.'/'.$selected_state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($custom_vocab_type_name)."</div>";
								print "</a>";
								print "</div>";
							}
						}
						if ($dropdown_open) print "</div></div>";
//	  					taxonomy_get_tree();
						print "</div>";
						
						print "</div>";
	  				} else //if no custom vocabulary or user has no access to see it display regular status filter bar
	  				{
	  					$cumulated_term_text_length = 0; //amount of printed letters so far (counted in order to know when to display rest in drop down)
	  					$max_cumulated_length = 85;

	  					$selected_state_printed = FALSE; //marks if the selected state has been printed yet or not
						//display status filer
						print "<div class='filter_idea_types_header'>";
		  				print "<div class='filter_ideas_statuses filter_ideas_statuses_full'><span class='filter_ideas_header_title'>".t('Filter Status:')."</span> ";
			  			print "<a id='all-ideas-". $selected_state['all'] ."' href='".url('home/all')."'>";
						print "<div class='idea_status_color_default status_box_frame'></div>";
						print "<div class='idea_status_color_default status_text'>".t("ALL")."</div>";
						print "</a>";
			  			$cumulated_term_text_length = 3;
			  			if ($selected_state['all']==1) $selected_state_printed= TRUE;
			  			$dropdown_open = FALSE;
						if (isset($states))
			  			foreach ($states as $state_sid => $state_name) {
			  				$cumulated_term_text_length += strlen($state_name);
			  				if ($dropdown_open == FALSE)
			  				{
				  				if ($cumulated_term_text_length >= $max_cumulated_length) {
				  						print "<div class='filter_ideas_dropdown_area'>";
				  						print "<div class='filter_ideas_dropdown_more_area' id='filter_ideas_ideas_statuses_dropdown_more_area'>";
										print "<div class='idea_status_color_default status_text'>"; //unselected more button
										print "<div class='idea_status_color_default status_box_frame'></div>";
										print "<div class='idea_status_color_default status_text'>".t('MORE')."</div>";
			  							print "</div>";
				  						print "<div class='filter_ideas_dropdown_area_arrow'></div>";
				  						print "</div>";
				  						print "<div id='filter_bar_ideas_status_dropdown' class='filter_bar_status_dropdown'>";
				  						$dropdown_open = TRUE;
				  				}
								//select class stylesheet based on state name
								//stylesheet name is idea_status_color_<state_name_in_lower_case_with_underscores_replacing_spaces>
								//if state is not detected then idea_status_color default is used
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
								if ($selected_state[$state_sid]==1) $selected_state_printed = TRUE;
							} else
							{
								$state_class= 'idea_status_color_'.str_replace(' ', '_', strtolower($state_name)); 
								
								print "<div class='idea_status_color_default $state_class status_text'>";
								print "<a id='all-ideas-". $selected_state[$state_sid] ."' class='status_text $state_class' href='".url('home/'.$state_sid)."'>";
								print "<div class='idea_status_color_default status_box_frame $state_class'></div>";
								print "<div class='idea_status_color_default $state_class status_text'>".strtoupper($state_name)."</div>";
								print "</a>";
								print "</div>";
							}
			  			}
			  			if ($dropdown_open) print "</div></div>";
			  			print "</div>";
			  			
			  			print "</div>";
		  			}
	  			}
	  		?>
      	</div>
      </div>

    <div id="container" class="clear-block">
      <?php if ($left): ?>
        <div id="sidebar-left" class="sidebar"> 
          <!-- <?php if ($search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?> -->
          <?php print $left ?>
	    </div>          
      <?php endif; ?>
      
      <div id="center"><div id="squeeze"> <!-- <div class="right-corner"><div class="left-corner"> -->
          <!-- <?php print $breadcrumb; ?> -->
          <?php if ($node->type!='review' || ($node->type=='review' && (in_array("admin",$user->roles) || in_array("manager",$user->roles) || in_array("moderator",$user->roles) || in_array("reviewer",$user->roles))) ): //display review only if user has a role ?>
          
          <?php if ($mission): print '<div id="mission">'. $mission .'</div>'; endif; ?>
          <?php if ($tabs): print '<div id="tabs-wrapper" class="clear-block">'; endif; ?>
          <?php if (!$user->uid && $title == t('Access denied') && arg(1)=='add' && arg(2)=='idea'): ?>
          	<?php print '<h2'. ($tabs ? ' class="with-tabs"' : '') .'>'. t('Please login or register in order to post new ideas!') .'</h2>'; ?>
          <?php else: ?>
          	<?php if ($title && $node->type!='idea' && $node->type!='review' && $node->type!='contest' && arg(2)!="similar_ideas"): print '<h2'. ($tabs ? ' class="with-tabs"' : '') .'>'. $title .'</h2>'; endif; ?>
          <?php endif; ?>
          <?php if ($tabs): print '<ul class="tabs primary">'. $tabs .'</ul></div>'; endif; ?>
          <?php if ($tabs2): print '<ul class="tabs secondary">'. $tabs2 .'</ul>'; endif; ?>
          <?php if ($show_messages && $messages): print $messages; endif; ?> 
          <?php print $help; ?>
          <div class="clear-block">
          <?php if (!$user->uid && $title == t('Access denied') && arg(1)=='add' && arg(2)=='idea'): ?>
			<br/>
			<p><?php print t('Welcome to'); ?> Gi2MO <span style='color: #1f608d; font-weight: bold;'>Idea Stream</span>.</p>
			<?php print t('In order to post a new idea please'); ?> <a href="<?php print url('user'); ?>"><?php print t('log in'); ?></a>. <?php print t('In case you do not have an account yet please proceed with the'); ?> <a href="<?php print url('user/register'); ?>"><?php print t('registration'); ?></a>. 

          <?php else: ?>
            <?php print $content ?>
          <?php endif; ?>
          </div>
          
          <?php else: ?>
          <?php print t('Content not found'); ?>
          <?php endif; ?>
          
          <?php print $feed_icons ?>
          <?php print $content_bottom ?>

      <!-- </div></div> --> </div></div> <!-- /.left-corner, /.right-corner, /#squeeze, /#center -->
          
      <?php if ($right): ?>
	  <!-- create idea button -->

        <div class="sidebar" id="sidebar-right">
		  <!-- <?php if (!$left && $search_box): ?><div class="block block-theme"><?php print $search_box ?></div><?php endif; ?> -->
          <?php print $right ?>
        </div>
      <?php endif; ?>

    </div> <!-- /container -->
  </div>
<!-- /layout -->
	<div class="footer_ideastream"><?php print $footer ?><div class="footer_ideastream_message"><?php if (isset($footer) && $footer!="") print "| "; ?> Powered by <a href="http://ideastream.gi2mo.org">Gi2MO IdeaStream</a></div></div>
  <?php print $closure ?>
  </body>
</html>
